return {
  "natecraddock/workspaces.nvim",
  dependencies = {
    "nvim-telescope/telescope.nvim",
  },

  config = function ()
    require("workspaces").setup()
    require("telescope").load_extension("workspaces");

		vim.keymap.set("n", "<leader>w", "", { desc = "Open telescope workspaces" })
		vim.keymap.set("n", "<leader>wa", ":WorkspacesAdd ", { desc = "Add workspace" })
		vim.keymap.set("n", "<leader>wo", ":Telescope workspaces<CR>", { desc = "Show workspaces" })
		vim.keymap.set("n", "<leader>wd", ":WorkspacesRemove ", { desc = "Remove workspace" })
  end
}
